Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.ejb.transaction
Enum JoinableCMTTransaction.JoinStatus

    java.lang.Object
      java.lang.Enum<JoinableCMTTransaction.JoinStatus>
          org.hibernate.ejb.transaction.JoinableCMTTransaction.JoinStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JoinableCMTTransaction.JoinStatus>

Enclosing class:
  JoinableCMTTransaction

    public static enum JoinableCMTTransaction.JoinStatus

extends java.lang.Enum<JoinableCMTTransaction.JoinStatus>

Enum Constant Summary
`JOINED`
`MARKED_FOR_JOINED`
`NOT_JOINED`

Method Summary
`static JoinableCMTTransaction.JoinStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JoinableCMTTransaction.JoinStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_JOINED

    public static final JoinableCMTTransaction.JoinStatus NOT_JOINED

### MARKED_FOR_JOINED

    public static final JoinableCMTTransaction.JoinStatus MARKED_FOR_JOINED

### JOINED

    public static final JoinableCMTTransaction.JoinStatus JOINED

Method Detail

### values

    public static final JoinableCMTTransaction.JoinStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JoinableCMTTransaction.JoinStatus c : JoinableCMTTransaction.JoinStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JoinableCMTTransaction.JoinStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD